SaslRpcServer (Apache Hadoop Common 3.5.0 API)
Description: declaration: package: org.apache.hadoop.security, class: SaslRpcServer

Package org.apache.hadoop.security

# Class SaslRpcServer

java.lang.Object
org.apache.hadoop.security.SaslRpcServer

@LimitedPrivate({"HDFS","MapReduce"}) @Evolving public class SaslRpcServer extends Object
A utility class for dealing with SASL on RPC server

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static enum`
  `SaslRpcServer.AuthMethod`
  Authentication method
  `static enum`
  `SaslRpcServer.QualityOfProtection`
  `static class`
  `SaslRpcServer.SaslDigestCallbackHandler`
  CallbackHandler for SASL mechanism.
  `static class`
  `SaslRpcServer.SaslGssCallbackHandler`
  CallbackHandler for SASL GSSAPI Kerberos mechanism

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `SaslRpcServer.AuthMethod`
  `authMethod`
  `static final org.slf4j.Logger`
  `LOG`
  `String`
  `mechanism`
  `String`
  `protocol`
  `static final String`
  `SASL_DEFAULT_REALM`
  `String`
  `serverId`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SaslRpcServer(SaslRpcServer.AuthMethod authMethod)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `SaslServer`
  `create(Server.Connection connection, Map<String,?> saslProperties, SecretManager<TokenIdentifier> secretManager)`
  `static <T extends TokenIdentifier>
  T`
  `getIdentifier(String id, SecretManager<T> secretManager)`
  `static void`
  `init(Configuration conf)`
  `static String[]`
  `splitKerberosName(String fullName)`
  Splitting fully qualified Kerberos name into parts.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### LOG

    public static final org.slf4j.Logger LOG

  - ### SASL_DEFAULT_REALM

    public static final String SASL_DEFAULT_REALM
    See Also:
      - Constant Field Values

  - ### authMethod

    @Private @Unstable public SaslRpcServer.AuthMethod authMethod

  - ### mechanism

    public String mechanism

  - ### protocol

    public String protocol

  - ### serverId

    public String serverId

- ## Constructor Details

  - ### SaslRpcServer

    @Private @Unstable public SaslRpcServer(SaslRpcServer.AuthMethod authMethod) throws IOException
    Throws:
      `IOException`

- ## Method Details

  - ### create

    @Private @Unstable public SaslServer create(Server.Connection connection, Map<String,?> saslProperties, SecretManager<TokenIdentifier> secretManager) throws IOException, InterruptedException
    Throws:
      `IOException`
      `InterruptedException`

  - ### init

    public static void init(Configuration conf)

  - ### getIdentifier

    public static <T extends TokenIdentifier> T getIdentifier(String id, SecretManager<T> secretManager) throws SecretManager.InvalidToken
    Throws:
      `SecretManager.InvalidToken`

  - ### splitKerberosName

    public static String[] splitKerberosName(String fullName)
    Splitting fully qualified Kerberos name into parts.
    Parameters:
      `fullName` - fullName.
    Returns:
      splitKerberosName.